Subject: Re: bug#64322: CC Mode 5.35.2 (C/*l); More incorrect type recognition

From: Alan Mackenzie <[email-masked]>
Date: Sat, 1 Jul 2023 11:25:42 +0000

Hello, Po and Eli.

On Sat, Jul 01, 2023 at 10:43:30 +0000, Alan Mackenzie wrote:
> On Sat, Jul 01, 2023 at 10:10:45 +0300, Eli Zaretskii wrote:
> > > From: Po Lu <[email-masked]>
> > > Cc: [email-masked], Eli Zaretskii <[email-masked]>
> > > Date: Sat, 01 Jul 2023 08:22:41 +0800

> > > Alan Mackenzie <[email-masked]> writes:

[ .... ]

> > > > Would you please try out the attached patch in your real code
> > > > thoroughly, and either confirm the bug is fixed, or tell me
> > > > what's still wrong.  Thanks!

[ .... ]

> > > Seems to work here, thanks.  Eli, could we have this on the emacs-29
> > > branch?

> > Yes, if Alan is okay with making this change on the release branch.

> My yesterday's patch amended C Mode and Objective-C Mode.  I'm now less
> sure about the Objective-C Mode change than I was yesterday.  So I
> propose changing only C Mode.

> Yes, I will do this on the release branch today.

DONE.  I'm closing the bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).